Subject: bug#4239: 23.1.50; Pause during Emacs startup with recentf-mode

From: Stephen Berman <[email-masked]>
Date: Mon, 24 Aug 2009 20:19:16 +0200

On Mon, 24 Aug 2009 13:30:41 +0200 Michael Albinus <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> To test whether the patch fixes the problem I presumably have to wait
>> till I reboot the machine, which may not be till tomorrow.  Does it
>> suffice to simply apply the patch and restart Emacs, or do I need to
>> redump or rebuild Emacs?
>
> You shall byte-compile dbus.el and tramp-gvfs.el.

I had occasion to reboot my machine today, so I could test your patch
against my bug recipe -- it worked as expected: only a barely noticeable
pause at the "Cleaning up the recentf list..." message, then startup
completed as usual.  I will test it again tomorrow with my init file and
normal recentf-file, but I expect it will also work with them.  Thanks!
(Still, I wonder what in my system is causing dbus-ping to hang...)

Steve Berman